## List Line Items

### cURL

```bash
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/bills/{billId}/lineitems \
  --header 'Authorization: Bearer <token>'
```

```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/bills/{billId}/lineitems"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/bills/{billId}/lineitems', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

### Response Codes

- **200**
- **4XX**
- **5XX**

### Sample Response

```json
{
  "data": [
    {
      "id": "<string>",
      "version": 123,
      "productId": "<string>",
      "description": "<string>",
      "servicePeriodStartDate": "2023-11-07T05:31:56Z",
      "servicePeriodEndDate": "2023-11-07T05:31:56Z",
      "referencedBillId": "<string>",
      "referencedLineItemId": "<string>",
      "dtCreated": "2023-11-07T05:31:56Z",
      "dtLastModified": "2023-11-07T05:31:56Z",
      "createdBy": "<string>",
      "lastModifiedBy": "<string>",
      "productName": "<string>",
      "productCode": "<string>",
      "accountingProductId": "<string>",
      "accountingProductName": "<string>",
      "accountingProductCode": "<string>",
      "aggregationId": "<string>",
      "compoundAggregationId": "<string>",
      "counterId": "<string>",
      "chargeId": "<string>",
      "segment": {},
      "group": {},
      "meterId": "<string>",
      "planId": "<string>",
      "planGroupId": "<string>",
      "commitmentId": "<string>",
      "balanceId": "<string>",
      "billId": "<string>",
      "quantity": 123,
      "units": 123,
      "unit": "<string>",
      "subtotal": 123,
      "currency": "<string>",
      "conversionRate": 123,
      "convertedSubtotal": 123,
      "creditTypeId": "<string>",
      "pricingId": "<string>",
      "bandUsage": [
        {
          "pricingBandId": "<string>",
          "lowerLimit": 123,
          "fixedPrice": 123,
          "unitSubtotal": 123,
          "unitPrice": 123,
          "bandUnits": 123,
          "bandQuantity": 123,
          "bandSubtotal": 123,
          "creditTypeId": "<string>",
          "convertedBandSubtotal": 123
        }
      ],
      "reasonId": "<string>",
      "contractId": "<string>",
      "jsonUsageGenerated": true,
      "averageUnitPrice": 123,
      "sequenceNumber": 123,
      "additional": {}
    }
  ],
  "nextToken": "<string>"
}
```

### Error Handling

```json
{
  "message": "<string>"
}
```

```json
{
  "message": "<string>"
}
```

### Path Parameters

- **orgId**: (string, required) The unique identifier (UUID) of your Organization.
- **billId**: (string, required) The unique identifier (UUID) of the Bill.

### Query Parameters

- **pageSize**: (integer<int32>, required) Specifies the maximum number of line items to retrieve per page.
- **nextToken**: (string) Used for multi-page retrievals.
- **additional**: (string[]) Comma separated list of additional fields.
